(* Content-type: application/vnd.wolfram.mathematica *)

(*** Wolfram Notebook File ***)
(* http://www.wolfram.com/nb *)

(* CreatedBy='Mathematica 12.1' *)

(*CacheID: 234*)
(* Internal cache information:
NotebookFileLineBreakTest
NotebookFileLineBreakTest
NotebookDataPosition[       158,          7]
NotebookDataLength[      6822,        178]
NotebookOptionsPosition[      6099,        157]
NotebookOutlinePosition[      6560,        175]
CellTagsIndexPosition[      6517,        172]
WindowFrame->Normal*)

(* Beginning of Notebook Content *)
Notebook[{
Cell[BoxData[
 RowBox[{"<<", "VilCretas`"}]], "Input",
 CellChangeTimes->{{3.811784838760713*^9, 3.8117848414160056`*^9}},
 CellLabel->"In[1]:=",ExpressionUUID->"a53ecb4d-a331-4423-a099-a7e93d0a4926"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"GrafoBipartitoCompleto", "[", 
  RowBox[{"5", ",", "6", ",", 
   RowBox[{"analizar", "\[Rule]", "True"}]}], "]"}]], "Input",
 CellChangeTimes->{{3.8117848446607146`*^9, 3.811784860475918*^9}, {
  3.8117855536656895`*^9, 3.81178555395111*^9}, {3.8117856641144094`*^9, 
  3.8117856774104595`*^9}},
 CellLabel->"In[3]:=",ExpressionUUID->"29483fc1-ffaf-4995-9755-c77746444ac0"],

Cell[BoxData[
 TagBox[
  StyleBox[
   DynamicModuleBox[{VilCretas`Private`GVl35$$ = 5, 
    VilCretas`Private`GVl36$$ = 6, Typeset`show$$ = True, 
    Typeset`bookmarkList$$ = {}, Typeset`bookmarkMode$$ = "Menu", 
    Typeset`animator$$, Typeset`animvar$$ = 1, Typeset`name$$ = 
    "\"sin t\[IAcute]tulo\"", Typeset`specs$$ = {{{
       Hold[VilCretas`Private`GVl35$$], 1, "Cantidad de nodos izquierdos"}, 1,
       5, 1}, {{
       Hold[VilCretas`Private`GVl36$$], 1, "Cantidad de nodos derechos"}, 1, 
      6, 1}}, Typeset`size$$ = {1061., {267.35, 279.85}}, Typeset`update$$ = 
    0, Typeset`initDone$$, Typeset`skipInitDone$$ = True}, 
    DynamicBox[Manipulate`ManipulateBoxes[
     1, StandardForm, 
      "Variables" :> {
       VilCretas`Private`GVl35$$ = 1, VilCretas`Private`GVl36$$ = 1}, 
      "ControllerVariables" :> {}, 
      "OtherVariables" :> {
       Typeset`show$$, Typeset`bookmarkList$$, Typeset`bookmarkMode$$, 
        Typeset`animator$$, Typeset`animvar$$, Typeset`name$$, 
        Typeset`specs$$, Typeset`size$$, Typeset`update$$, Typeset`initDone$$,
         Typeset`skipInitDone$$}, "Body" :> Column[{
         CompleteGraph[{VilCretas`Private`GVl35$$, VilCretas`Private`GVl36$$},
           VertexLabels -> "Name", ImagePadding -> 10], 
         VilCretas`Valencias[
          
          CompleteGraph[{
           VilCretas`Private`GVl35$$, VilCretas`Private`GVl36$$}, 
           VertexLabels -> "Name", ImagePadding -> 10]], 
         Row[{"Cantidad de aristas: ", 
           EdgeCount[
            
            CompleteGraph[{
             VilCretas`Private`GVl35$$, VilCretas`Private`GVl36$$}, 
             VertexLabels -> "Name", ImagePadding -> 10]], " = ", 
           If[Length[
              FactorInteger[
               EdgeCount[
                
                CompleteGraph[{
                 VilCretas`Private`GVl35$$, VilCretas`Private`GVl36$$}, 
                 VertexLabels -> "Name", ImagePadding -> 10]]]] == 1, 
            VilCretas`Private`GVl34 = Apply[Superscript, 
               FactorInteger[
                EdgeCount[
                 
                 CompleteGraph[{
                  VilCretas`Private`GVl35$$, VilCretas`Private`GVl36$$}, 
                  VertexLabels -> "Name", ImagePadding -> 10]]], {1}]; 
            Part[VilCretas`Private`GVl34, 1], 
            Apply[CenterDot, 
             Apply[Superscript, 
              FactorInteger[
               EdgeCount[
                
                CompleteGraph[{
                 VilCretas`Private`GVl35$$, VilCretas`Private`GVl36$$}, 
                 VertexLabels -> "Name", ImagePadding -> 10]]], {1}]]]}], 
         Row[{"Tiene circuitos de Euler: ", 
           EulerianGraphQ[
            
            CompleteGraph[{
             VilCretas`Private`GVl35$$, VilCretas`Private`GVl36$$}, 
             VertexLabels -> "Name", ImagePadding -> 10]]}], 
         Row[{"Tiene circuitos de Hamilton: ", 
           HamiltonianGraphQ[
            
            CompleteGraph[{
             VilCretas`Private`GVl35$$, VilCretas`Private`GVl36$$}, 
             VertexLabels -> "Name", ImagePadding -> 10]]}]}], 
      "Specifications" :> {{{
         VilCretas`Private`GVl35$$, 1, "Cantidad de nodos izquierdos"}, 1, 5, 
         1}, {{VilCretas`Private`GVl36$$, 1, "Cantidad de nodos derechos"}, 1,
          6, 1}}, "Options" :> {}, "DefaultOptions" :> {}],
     ImageSizeCache->{1157., {409.25, 421.75}},
     SingleEvaluation->True],
    Deinitialization:>None,
    DynamicModuleValues:>{},
    SynchronousInitialization->True,
    UndoTrackedVariables:>{Typeset`show$$, Typeset`bookmarkMode$$},
    UnsavedVariables:>{Typeset`initDone$$},
    UntrackedVariables:>{Typeset`size$$}], "Manipulate",
   Deployed->True,
   StripOnInput->False],
  Manipulate`InterpretManipulate[1]]], "Print",
 CellChangeTimes->{{3.811784861256825*^9, 3.8117848727377715`*^9}, {
  3.8117856787786274`*^9, 3.8117856896158543`*^9}},
 CellLabel->
  "Durante la evaluaci\[OAcute]n de \
In[3]:=",ExpressionUUID->"784100b7-1328-44a6-892c-d4449eb75d61"]
}, Open  ]],

Cell[TextData[{
 Cell[BoxData[
  FormBox[
   RowBox[{
    RowBox[{"\[Theta]", "(", 
     SuperscriptBox["v", "I"], ")"}], "=", "m"}], TraditionalForm]],
  FormatType->"TraditionalForm",ExpressionUUID->
  "3bbef348-c9aa-4655-8e53-5e00129eae62"],
 " y ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    RowBox[{"\[Theta]", "(", 
     SuperscriptBox["v", "D"], ")"}], "=", "n"}], TraditionalForm]],
  ExpressionUUID->"83c396e0-5bbe-46ee-9ad4-e85150bd2dd2"],
 " en ",
 Cell[BoxData[
  FormBox[
   SubscriptBox["K", 
    RowBox[{"n", ",", "m"}]], TraditionalForm]],
  FormatType->"TraditionalForm",ExpressionUUID->
  "d6a95260-a995-4893-8b20-961522e768d4"]
}], "Text",
 CellChangeTimes->{{3.8117856053912525`*^9, 3.8117856396325765`*^9}, {
  3.8117866895495925`*^9, 
  3.811786721718124*^9}},ExpressionUUID->"53dbaa5b-a03c-48e8-a8ef-\
79f1af78dbb0"]
},
WindowToolbars->"EditBar",
WindowSize->{960, 478},
WindowMargins->{{-5.5, Automatic}, {Automatic, -5.5}},
Magnification:>1.5 Inherited,
FrontEndVersion->"12.1 para Microsoft Windows (64-bit) (March 14, 2020)",
StyleDefinitions->"Default.nb",
ExpressionUUID->"b959bd89-ae9a-40c9-b339-715801cf5119"
]
(* End of Notebook Content *)

(* Internal cache information *)
(*CellTagsOutline
CellTagsIndex->{}
*)
(*CellTagsIndex
CellTagsIndex->{}
*)
(*NotebookFileOutline
Notebook[{
Cell[558, 20, 200, 3, 63, "Input",ExpressionUUID->"a53ecb4d-a331-4423-a099-a7e93d0a4926"],
Cell[CellGroupData[{
Cell[783, 27, 397, 7, 97, "Input",ExpressionUUID->"29483fc1-ffaf-4995-9755-c77746444ac0"],
Cell[1183, 36, 4059, 90, 851, "Print",ExpressionUUID->"784100b7-1328-44a6-892c-d4449eb75d61"]
}, Open  ]],
Cell[5257, 129, 838, 26, 80, "Text",ExpressionUUID->"53dbaa5b-a03c-48e8-a8ef-79f1af78dbb0"]
}
]
*)

